pcl::occlusion_reasoning Namespace Reference

## Classes

class | ZBuffering
| Class to reason about occlusions. More...

## Functions

template<typename ModelT , typename SceneT >
pcl::PointCloud< ModelT >::Ptr | filter (typename pcl::PointCloud< SceneT >::ConstPtr &organized_cloud, typename pcl::PointCloud< ModelT >::ConstPtr &to_be_filtered, float f, float threshold)
template<typename ModelT , typename SceneT >
pcl::PointCloud< ModelT >::Ptr | filter (typename pcl::PointCloud< SceneT >::Ptr &organized_cloud, typename pcl::PointCloud< ModelT >::Ptr &to_be_filtered, float f, float threshold, bool check_invalid_depth=true)
template<typename ModelT , typename SceneT >
pcl::PointCloud< ModelT >::Ptr | getOccludedCloud (typename pcl::PointCloud< SceneT >::Ptr &organized_cloud, typename pcl::PointCloud< ModelT >::Ptr &to_be_filtered, float f, float threshold, bool check_invalid_depth=true)

## Function Documentation

template<typename ModelT , typename SceneT >

pcl::PointCloud<ModelT>::Ptr pcl::occlusion_reasoning::filter | ( | typename pcl::PointCloud< SceneT >::ConstPtr & | organized_cloud,
|  | typename pcl::PointCloud< ModelT >::ConstPtr & | to_be_filtered,
|  | float | f,
|  | float | threshold
| ) |  |

Definition at line 75 of file occlusion_reasoning.h.

References pcl::PointCloud< PointT >::at(), pcl::copyPointCloud(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.

template<typename ModelT , typename SceneT >

pcl::PointCloud<ModelT>::Ptr pcl::occlusion_reasoning::filter | ( | typename pcl::PointCloud< SceneT >::Ptr & | organized_cloud,
|  | typename pcl::PointCloud< ModelT >::Ptr & | to_be_filtered,
|  | float | f,
|  | float | threshold,
|  | bool | check_invalid_depth = `true`
| ) |  |

Definition at line 119 of file occlusion_reasoning.h.

References pcl::PointCloud< PointT >::at(), pcl::copyPointCloud(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.

template<typename ModelT , typename SceneT >

pcl::PointCloud<ModelT>::Ptr pcl::occlusion_reasoning::getOccludedCloud | ( | typename pcl::PointCloud< SceneT >::Ptr & | organized_cloud,
|  | typename pcl::PointCloud< ModelT >::Ptr & | to_be_filtered,
|  | float | f,
|  | float | threshold,
|  | bool | check_invalid_depth = `true`
| ) |  |

Definition at line 166 of file occlusion_reasoning.h.

References pcl::PointCloud< PointT >::at(), pcl::copyPointCloud(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.